import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class Bullet  extends Creature2
{
    int life = 10;
    public Bullet(Vector speed, int rotation)
    {
        super(speed);
        setRotation(rotation);
        addForce(new Vector(rotation, 15));
    }
    public void act() 
    {
        if(life <= 0){
            getWorld().addObject(new Explosion(), getX(), getY());
            getWorld().removeObject(this);            
        }
        else{
            life--;
            move();
            touchCheck();
        }
    }
    
    private void touchCheck(){
        Amy amy = (Amy)getOneIntersectingObject(Amy.class);
        Temple temple = (Temple)getOneIntersectingObject(Temple.class);
        if(amy != null){
            superShot();
            getWorld().removeObject(this);
            amy.damege(1);
        }
        else if(temple != null){
            superShot();
            getWorld().removeObject(this);
            temple.damege(1); 
        }
        else{
            superShot();
        }
    }
    
    private void superShot(){
        SuperAttack superAttack = new SuperAttack();
        getWorld().addObject (superAttack, getX(), getY());
    }
}
