import greenfoot.*;
import java.awt.Color;
import java.awt.Font;
import java.util.Calendar;

public class ScoreBoard extends Actor
{
    public static final float FONT_SIZE = 48.0f;
    public static final int WIDTH = 400;
    public static final int HEIGHT = 300;

    public ScoreBoard()
    {
    }
    
    public ScoreBoard(int i)
    {
        if(i == 1){
            makeImage("Congratulation!");
        }
        else if(i == 2){
            makeImage("   Game Over");
        }
        else if(i == 3){
            makeImage(" Click to Start!");
        }
    }

    private void makeImage(String title)
    {
        GreenfootImage image = new GreenfootImage(WIDTH, HEIGHT);

        image.setColor(new Color(255,255,255, 128));
        image.fillRect(0, 0, WIDTH, HEIGHT);
        image.setColor(new Color(0, 0, 0, 128));
        image.fillRect(5, 5, WIDTH-10, HEIGHT-10);
        Font font = image.getFont();
        font = font.deriveFont(FONT_SIZE);
        image.setFont(font);
        image.setColor(Color.WHITE);
        image.drawString(title, 40, 170);
        setImage(image);
    }
}
