import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class Bullet2  extends Creature2
{
    int life = 9;
    public Bullet2(Vector speed, int rotation)
    {
        super(speed);
        setRotation(rotation);
        addForce(new Vector(rotation, 15));
    }
    public void act() 
    {
        if(life <= 0){
            getWorld().addObject(new Explosion(), getX(), getY());
            getWorld().removeObject(this);            
        }
        else{
            life--;
            move();
            touchCheck();
        }
    }
    
    private void touchCheck(){
        Controller amy = (Controller)getOneIntersectingObject(Controller.class);
        if(amy != null){
            getWorld().removeObject(this);
            amy.damege(1);
        }
    }
}
